<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.2) on Wed Apr 15 18:45:10 EDT 2020 -->
<title>Photos</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-15">
<meta name="description" content="declaration: package: photos.src.Photos, class: Photos">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">photos.src.Photos</a></div>
<h1 title="Class Photos" class="title">Class Photos</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">javafx.application.Application
<div class="inheritance">photos.src.Photos.Photos</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">Photos</span>
extends javafx.application.Application</pre>
<div class="block">Photos Class</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javafx.application.Application</h2>
<a id="nested.classes.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>javafx.application.Application.Parameters</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#albumName">albumName</a></span></code></th>
<td class="colLast">
<div class="block">Global album name</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="Album.html" title="class in photos.src.Photos">Album</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentAlbum">currentAlbum</a></span></code></th>
<td class="colLast">
<div class="block">Global currentAlbum</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="User.html" title="class in photos.src.Photos">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentUser">currentUser</a></span></code></th>
<td class="colLast">
<div class="block">Global currentUser</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listOfAlbums">listOfAlbums</a></span></code></th>
<td class="colLast">
<div class="block">Global list of albums</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="Photo.html" title="class in photos.src.Photos">Photo</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listOfPhotos">listOfPhotos</a></span></code></th>
<td class="colLast">
<div class="block">Global list of Photos</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="User.html" title="class in photos.src.Photos">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listOfUsers">listOfUsers</a></span></code></th>
<td class="colLast">
<div class="block">Global list of users</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#sampleTagNames">sampleTagNames</a></span></code></th>
<td class="colLast">
<div class="block">Global sample tag names</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="Album.html" title="class in photos.src.Photos">Album</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectedAlbum">selectedAlbum</a></span></code></th>
<td class="colLast">
<div class="block">Global selected album</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="Photo.html" title="class in photos.src.Photos">Photo</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectedPhoto">selectedPhoto</a></span></code></th>
<td class="colLast">
<div class="block">Global selected photo</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#userName">userName</a></span></code></th>
<td class="colLast">
<div class="block">Global userName</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.application.Application</h3>
<a id="fields.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>STYLESHEET_CASPIAN, STYLESHEET_MODENA</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Photos</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Main method</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#start(javafx.stage.Stage)">start</a></span>&#8203;(javafx.stage.Stage&nbsp;stage)</code></th>
<td class="colLast">
<div class="block">Used to start the app</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.application.Application</h3>
<a id="methods.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="currentUser">currentUser</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="User.html" title="class in photos.src.Photos">User</a></span>&nbsp;<span class="memberName">currentUser</span></div>
<div class="block">Global currentUser</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="listOfUsers">listOfUsers</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="User.html" title="class in photos.src.Photos">User</a>&gt;</span>&nbsp;<span class="memberName">listOfUsers</span></div>
<div class="block">Global list of users</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="userName">userName</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">userName</span></div>
<div class="block">Global userName</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="listOfAlbums">listOfAlbums</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</span>&nbsp;<span class="memberName">listOfAlbums</span></div>
<div class="block">Global list of albums</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="albumName">albumName</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">albumName</span></div>
<div class="block">Global album name</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="sampleTagNames">sampleTagNames</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.lang.String[]</span>&nbsp;<span class="memberName">sampleTagNames</span></div>
<div class="block">Global sample tag names</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="listOfPhotos">listOfPhotos</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Photo.html" title="class in photos.src.Photos">Photo</a>&gt;</span>&nbsp;<span class="memberName">listOfPhotos</span></div>
<div class="block">Global list of Photos</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="selectedPhoto">selectedPhoto</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Photo.html" title="class in photos.src.Photos">Photo</a></span>&nbsp;<span class="memberName">selectedPhoto</span></div>
<div class="block">Global selected photo</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="currentAlbum">currentAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Album.html" title="class in photos.src.Photos">Album</a></span>&nbsp;<span class="memberName">currentAlbum</span></div>
<div class="block">Global currentAlbum</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="selectedAlbum">selectedAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Album.html" title="class in photos.src.Photos">Album</a></span>&nbsp;<span class="memberName">selectedAlbum</span></div>
<div class="block">Global selected album</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">Photos</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Photos</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="start(javafx.stage.Stage)">start</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">start</span>&#8203;(<span class="arguments">javafx.stage.Stage&nbsp;stage)</span>
           throws <span class="exceptions">java.lang.Exception</span></div>
<div class="block">Used to start the app</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>start</code>&nbsp;in class&nbsp;<code>javafx.application.Application</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stage</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<div class="block">Main method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - </dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
